/**
 * @file    control.h
 * @brief   Header file specific to control algorithms.
 * @author  John Wilkey
 */
 
#ifndef _CONTROL_H
#define _CONTROL_H

#include <vector>
#define _CANVAS_FILE "/local/control.out"     // Should be on local file system. 

/**
 * @brief               Get the formatted file contents from local file.
 * @param[out]  moves   A pointer to the character array of moves
 */
void get_ps_file(char* moves);
 
/** 
 * @brief   A main loop for robot control. Main algorithm for control
 *          should start here
 */
void robot_loop(); 

#endif